[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'keyboard' (#rtl)

# GetKeyEventFlags

Extract the flags from a key event.

## Declaration

Source position: keybrdh.inc line 163

`function GetKeyEventFlags(`
`KeyEvent: TKeyEvent`
`):Byte;`

## Description

GetKeyEventFlags returns the flags part of the given KeyEvent.

For an example, see GetKeyEvent

## Errors

None.

## See also

GetKeyEventUniCode |  | Return the unicode key event.
GetKeyEventShiftState |  | Return the current state of the shift keys.
GetKeyEventCode |  | Translate function key part of a key event code.
GetKeyEventChar |  | Get the character key part of a key event.
GetKeyEvent |  | Get the next raw key event, wait if needed.

Documentation generated on: Feb 26 2014